Package org.eclipse.ecf.filetransfer.events

# Interface IOutgoingFileTransferEvent

All Superinterfaces:
  `Event`, `IFileTransferEvent`

All Known Subinterfaces:
  `IOutgoingFileTransferResponseEvent`, `IOutgoingFileTransferSendDataEvent`, `IOutgoingFileTransferSendDoneEvent`, `IOutgoingFileTransferSendPausedEvent`, `IOutgoingFileTransferSendResumedEvent`

public interface IOutgoingFileTransferEvent extends IFileTransferEvent
Super interface for outgoing file transfer events

## Method Summary

Modifier and Type
Method
Description
`IOutgoingFileTransfer`
`getSource()`
Get `IOutgoingFileTransfer` source associated with this event

## Method Details

### getSource

IOutgoingFileTransfer getSource()
Get `IOutgoingFileTransfer` source associated with this event

Returns:
  IOutgoingFileTransfer that is source of this event. Will not be `null`.